<!DOCTYPE html>
<html>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    <li>
                        <a href="{% url 'show_my_tasks' %}">My Tasks</a>
                    </li>
                    <li>
                        <a href="{% url 'list_projects' %}">My Projects</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                {% else %}
                    <li>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Signup</a>
                    </li>
                {% endif %}
            </ul>
        </nav>
    </header>


    <main>
        <div>
            <h1>My Tasks</h1>
            <a href="{% url 'create_task' %}">Create a New Task</a>
            {% if task_list|length > 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    {% for task in task_list %}
                        <tbody>
                            <tr>
                                <td>{{task.name}}</td>
                                <td>{{task.start_date}}</td>
                                <td>{{task.due_date}}</td>
                                {% if task.is_completed == False %}
                                    <td>
                                        <form method="post" action="{% url 'complete_task' task.id %}">
                                            {% csrf_token %}
                                            <input type="hidden" name="is_completed" value="False">
                                            <button>Complete</button>
                                        </form>
                                    </td>
                                {% else %}
                                    <td>Done</td>
                                {% endif %}
                            </tr>
                        </tbody>
                    {% endfor %}
                </table>
            {% else %}
                <p>
                    You have no tasks
                </p>
            {% endif %}
        </div>
    </main>

</html>